package com.arrebol.taxiservicios.model.admin;

import com.arrebol.taxiservicios.model.core.*;

import com.arrebol.taxiservicios.model.enums.BasicType;

import java.io.Serializable;
import java.util.Date;


/**
 *
 * @author Picasso
 */
public class SaleDetailGeneralPublic implements Serializable {

    private static final long serialVersionUID = -3142909516651108510L;

    private String id;
    private SaleGeneralPublic saleGeneralPublic;
    private double amount;
    private BasicType activeStatus;
    
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    
    

    public SaleDetailGeneralPublic() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    public BasicType getActiveStatus() {
        return activeStatus;
    }

    public void setActiveStatus(BasicType activeStatus) {
        this.activeStatus = activeStatus;
    }

  
    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public SaleGeneralPublic getSaleGeneralPublic() {
        return saleGeneralPublic;
    }

    public void setSaleGeneralPublic(SaleGeneralPublic saleGeneralPublic) {
        this.saleGeneralPublic = saleGeneralPublic;
    }

    

}
